"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/functions/NightyNightForEcs.lambda.ts
var NightyNightForEcs_lambda_exports = {};
__export(NightyNightForEcs_lambda_exports, {
  CLUSTER_NAME_KEY: () => CLUSTER_NAME_KEY,
  DESIRED_CAPACITY_KEY: () => DESIRED_CAPACITY_KEY,
  SERVICE_NAME_KEY: () => SERVICE_NAME_KEY,
  handler: () => handler
});
module.exports = __toCommonJS(NightyNightForEcs_lambda_exports);
var import_client_ecs = require("@aws-sdk/client-ecs");
var CLUSTER_NAME_KEY = "CLUSTER_NAME";
var SERVICE_NAME_KEY = "SERVICE_NAME";
var DESIRED_CAPACITY_KEY = "DESIRED_CAPACITY";
var {
  [CLUSTER_NAME_KEY]: clusterName,
  [SERVICE_NAME_KEY]: serviceName,
  [DESIRED_CAPACITY_KEY]: desiredCapacity
} = process.env;
var handler = async (event) => {
  console.log({ event });
  console.log({ clusterName, serviceName, desiredCapacity });
  if (!clusterName) {
    throw new Error(`Please provide a ${CLUSTER_NAME_KEY}`);
  }
  if (!serviceName) {
    throw new Error(`Please provide a ${SERVICE_NAME_KEY}`);
  }
  if (!desiredCapacity) {
    throw new Error(`Please provide a ${DESIRED_CAPACITY_KEY}`);
  }
  console.log("Getting instance details");
  const ecsClient = new import_client_ecs.ECSClient({});
  let params = {
    cluster: clusterName,
    service: serviceName,
    desiredCount: parseInt(desiredCapacity)
  };
  await ecsClient.send(new import_client_ecs.UpdateServiceCommand(params));
  let now = (/* @__PURE__ */ new Date()).toISOString();
  console.log(`Scaled ECS ${serviceName} to ${desiredCapacity} at ${now}`);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CLUSTER_NAME_KEY,
  DESIRED_CAPACITY_KEY,
  SERVICE_NAME_KEY,
  handler
});
